compiz-trinity (0.8.4-3ubuntu14.04.0+5) trusty; urgency=low

  * Change debhelper compatibility level to 7
  * Add build-arch and build-indep targets to debian/rules
  * Creating of indep packages separated into binary-indep.

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Aug 2016 18:53:28 +0200

compiz-trinity (0.8.4-3ubuntu16.10.0+4~a) yakkety; urgency=low

  * Use a generic name for libpng-dev dependency

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 18 Apr 2016 18:00:36 +0200

compiz-trinity (0.8.4-3ubuntu16.04.0+3) xenial; urgency=low

  * Removed unnecessary build-deps

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 16 Oct 2015 16:11:22 +0200

compiz-trinity (0.8.4-3ubuntu15.10.0+2~a) wily; urgency=low

  * Add tde-window-decorator and tdeconfig plugin

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Aug 2013 11:35:50 +0200

compiz-trinity (0.8.4-2debian1) squeeze; urgency=low

  * Trinity changes pulled into a separate patch
  * Update autotools for new DSO linkage style

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 01 Apr 2013 05:06:47 +0200

compiz-trinity (0.8.4-1ubuntu7) maverick; urgency=low

  * Disabled deprecated GTK features (see Debian bug #577352)

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 18 Apr 2010 14:20:00 -0600

compiz-trinity (0.8.4-1ubuntu4) lucid; urgency=low

  * Initial Lucid build

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 02 Mar 2010 20:33:00 -0600

compiz-trinity (0.8.4-1ubuntu2) karmic; urgency=low

  * Added viewport move option to kde-window-decorator

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 16 Nov 2009 03:51:00 -0600

compiz-trinity (0.8.4-1ubuntu1) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

compiz-trinity (0.7.4-1ubuntu7) intrepid; urgency=low

  * Hardcoded path and compiz filename for KDE3.5 only

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 02 May 2009 16:40:00 -0600

compiz-trinity (0.7.4-1ubuntu6) intrepid; urgency=low

  * Removed conflicting Gnome compiz files, as they are not needed for the KDE3 version of Compiz. (Closes bug 57)

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 23 March 2009 10:10:00 -0600

compiz-trinity (0.7.4-1ubuntu3) intrepid; urgency=low

  * Moved KDE3 to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 04 March 2009 01:11:00 -0600

compiz-trinity (0.7.4-0ubuntu4) intrepid; urgency=low

  * Added -kde prefix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 01 Dec 2008 09:03:00 -0600

compiz (1:0.7.4-0ubuntu7) hardy-proposed; urgency=low

  * debian/patches/028_compiz_manager_blacklist:
    - blacklist i815 (LP: #221920)
  * debian/patches/030_fix_screensaver:
    - dropped, the xserver is fixed now so we do not need
      to work around it (LP: #160264)
    - this means, that this version can *not* be backported
      to gutsy (or any older version of ubuntu) unless the
      xserver there is patched too

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 May 2008 10:16:30 +0200

compiz (1:0.7.4-0ubuntu6) hardy; urgency=low

  [ Travis Watkins ]
  * debian/patches/038_from_git_fix_incomplete_rotate.patch:
    - cherry pick git commit cd93bb966ccf0bd951d202ec0cf4df610af0c9e0
      to fix incomplete rotation in rotate plugin (LP: #216705)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Apr 2008 10:04:25 +0200

compiz (1:0.7.4-0ubuntu5) hardy; urgency=low

  * debian/patches/043-blur-plugin-fix-from-git.patch:
    - cherry pick git commit bb8317d6e18a1c2da587f3313fadae42715e04a1
      to fix buffer overflows with gaussian shader radius bigger 
      than 12.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Apr 2008 15:15:39 +0200

compiz (1:0.7.4-0ubuntu4) hardy; urgency=low

  [ Travis Watkins ]
  * debian/patches/037_fullscreen_stacking_fixes.patch:
    - check for valid window (LP: #206866)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 11 Apr 2008 17:37:59 +0200

compiz (1:0.7.4-0ubuntu3) hardy; urgency=low

  * add forgoten epoch to compiz-core dependency

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sun, 06 Apr 2008 12:06:12 +0200

compiz (1:0.7.4-0ubuntu2) hardy; urgency=low

  * tighten dependencies

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 05 Apr 2008 17:59:20 +0200

compiz (1:0.7.4-0ubuntu1) hardy; urgency=low

  * new upstream release:
    + Configurable handling of overlapping output devices.
    + Enhanced focus stealing prevention with configurable amount 
      of focus stealing prevention.
    + Added configurable, optional delay for edge actions to prevent
      accidential invocation.
    + Generalized vertex system to improve plugin compatibility.
    + Optimized gaussian blur shaders to support more hardware.
    + Improved unredirection of fullscreen windows.
    + Several bugfixes.
    + Translation updates.
  * This fixes: LP: #123205, #105220, #156908

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 05 Apr 2008 12:24:06 +0200

compiz (1:0.7.2+git20080403-0ubuntu1) hardy; urgency=low

  * new git snapshot:
    + fix session management 
    + improve xrandr 1.2 support (overlapping outputs)
    + fix unredirection for games/apps that change the resolution
    + Switch viewports on window activation, not on focus change.
    + focus stealing fixes
    + window managment fixes
    + ABI bump
  * debian/patches/013-add-cursor-theme-support.patch:
    - updated to current code
  * debian/patches/030_fix_screensaver:
    - updated to current code
  * debian/patches/041-start-decorator.patch: 
    - removed, part of upstream now
  * debian/patches/042-compiz-manager-default-plugin.patch:
    - always load core first
  * debian/control:
    - ABI bump, updated dependencies accordingly
    - remove dependency on compiz-core from compiz-dev

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 03 Apr 2008 09:59:02 +0200

compiz (1:0.7.2-0ubuntu2) hardy; urgency=low

  [ Travis Watkins ]
  * debian/patches/036_blacklist_ati_on_laptop.patch:
    - don't start compiz if using the ati or radeon driver
      and using a laptop as mobility cards have issues (LP: #197135)
  * debian/patches/037_fullscreen_stacking_fixes.patch:
    - keep window on top of fullscreen windows during move
    - when changing from fullscreen to non-fullscreen keep
      window on top of other fullscreen windows (LP: #173303)

  [ Michael Vogt ]
  * debian/patches/040_resolve-animation-fade-conflict_from_upstream.patch:
    - patch from Erkin Bahceci to resolve conflict between fade and
      animation plugin (thanks!)
  * debian/compiz-decorator:
    - added compiz-decorator script (thanks to Jigish Gohil)
  * debian/patches/029_compiz_manager_decoration.patch:
    - remove starting of the decorator from compiz-manager, this
      is the job of the decorator plugin now
  * debian/patches/029_compiz_manager_nvidia_settings.patch:
    - check for nvidia-settings before using it (thanks to
      Daniel Halhler, LP: #199944)
  * debian/patches/029_default_options:
    - use compiz-decorator as default decorator command
  * debian/patches/032_compiz_manager_default_window_manager.patch:
    - updated (conflicted with 029_compiz_manager_decoration)
  * debian/rules:
    - install compiz-decorator
  * debian/patches/041-start-decorator.patch:
    - cherry pick git commit 8cde7903f to start decorator early

 -- Michael Vogt <mvo@ubuntu.com>  Tue, 11 Mar 2008 22:14:48 +0100

compiz (1:0.7.2-0ubuntu1) hardy; urgency=low

  * new upstream release:
    - fix crash in window decorators (LP: #128651)
    - fix crash in cairo_set_line_width (LP: #149535)
    - fixes in compiz scale (LP: #159780)
    - fix resizing taskbar (LP: #172716)
    - do not rotate to non-existing faces (LP: #149460)
    - fixed incorrect switcher position (LP: #158877)
    - add missing i18n (LP: #152911)
    - do not switch viewports when a window requests to 
      get focus but wait if it actually really got it
    - and more fixes
  * debian/control:
    - update standards version
    - use ${binary:Version}
    - add section 'libdevel' to libdecoration0-dev
    - updated depends for the compiz metapackage
  * debian/copyright:
    - update FSF adress

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Mar 2008 14:26:18 +0100

compiz (1:0.7.0+git20080227-0ubuntu2) hardy; urgency=low

  * update build-dependencies to gnome-control-center-dev
    to make it build again

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 03 Mar 2008 12:02:41 +0100

compiz (1:0.7.0+git20080227-0ubuntu1) hardy; urgency=low

  * new git snapshot
  * ABI break 
  * add proper breaks for plugins-{main,extra}, libcompizconfig0
  * enable 'session' plugin
  * debian/patches/022_fix_session_managment.patch:
    - updated to the current code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 29 Feb 2008 20:08:01 +0100

compiz (1:0.7.0-0ubuntu4) hardy; urgency=low

  * add libxml2-dev and libxslt1-dev to the depends of 
    compiz-dev (thanks to Michael Bienia)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 25 Feb 2008 10:44:41 +0100

compiz (1:0.7.0-0ubuntu3) hardy; urgency=low

  * debian/patches/035_ignore_workspaces:
    - set max number of virtual desktops to 1. This does not affect
      viewports (and big virtual desktops) and avoids confusion when
      based on the viewport<->workspace difference between   
      compiz/metacity (LP: #118223)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Feb 2008 11:11:17 +0100

compiz (1:0.7.0-0ubuntu2) hardy; urgency=low

  * use ezoom zoom in/out keys in gnome keybinding preferences

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 14 Feb 2008 15:58:11 +0100

compiz (1:0.7.0-0ubuntu1) hardy; urgency=low

  * new 0.7.0 release (LP: #189943)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 07 Feb 2008 16:36:24 +0100

compiz (1:0.6.99+git20080204-0ubuntu1) hardy; urgency=low

  * new git snapshot
  * debian/patches/series:
    - droppped 033_honor_default_plugins, applied upstream
  * debian/rules:
    - add scale key to keybinding properties

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 Jan 2008 13:46:46 +0000

compiz (1:0.6.99+git20080102-0ubuntu5) hardy; urgency=low

  * debian/rules:
    - add scaleaddon,scalefilter to the default plugins

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 23 Jan 2008 15:15:09 +0000

compiz (1:0.6.99+git20080102-0ubuntu4) hardy; urgency=low

  * debian/control:
    - update dependencies for the compizconfig-backend-{gconf,kconfig}
      rename

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 09 Jan 2008 17:46:27 +0100

compiz (1:0.6.99+git20080102-0ubuntu3) hardy; urgency=low

  * debian/patches/033_honor_default_plugins:
    - make the configure --default-plugins=foo option work again

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 08 Jan 2008 10:57:20 +0100

compiz (1:0.6.99+git20080102-0ubuntu2) hardy; urgency=low

  * debian/patches/028_compiz_manager_blacklist:
    - drop blacklisting of ati cards for now to see if the
      new ATI driver works better with them
    - add fglrx to the whitelist (it support 
      GLX_EXT_texture_from_pixmap now)
  * debian/compiz-gnome.gconf-defaults:
    - workaround problem with the nvidia driver and window
      decorations by setting /apps/gwd/metacity_theme_shade_opacity False

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 07 Jan 2008 12:03:46 +0100

compiz (1:0.6.99+git20080102-0ubuntu1) hardy; urgency=low

  * new git snapshot:
    - fixes missing window decoration for "menu" window type
      (gimp floating windows)
    - fixes for the damage code for windows with borders
    - fixes in the regexp module

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 02 Jan 2008 11:07:43 +0100

compiz (1:0.6.99+git20071205-0ubuntu4) hardy; urgency=low

  * add missing epoch to replaces in for compiz-plugins
    (LP: #174528)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Dec 2007 10:30:59 +0100

compiz (1:0.6.99+git20071205-0ubuntu3) hardy; urgency=low

  [ Travis Watkins ]
  * debian/compiz-manager:
    - readd ati X300, X600, X700 to blacklist
    - remove intel 965 from blacklist, we use EXA now
  * add libx11-xcb-dev to compiz-dev depends to fix builds 
  
  [ Michael Vogt ]
  * debian/patch/028_compiz_manager_blacklist:
    - disabled

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 06 Dec 2007 10:57:39 +0100

compiz (1:0.6.99+git20071205-0ubuntu2) hardy; urgency=low

  * debian/rules:
    - run intltool-update -p to make pkgstriptranslations happy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 05 Dec 2007 23:16:19 +0100

compiz (1:0.6.99+git20071205-0ubuntu1) hardy; urgency=low

  The "Happy birthday to Travis" upload

  [ Travis Watkins ]
  * new git snapshot of the master branch
  * debian/patches/031_add_compiz_common.patch:
    - include compiz-common.h file until build system gets fixed
  
  [ Michael Vogt ]
  * debian/control:
    - add missing Replaces to upgrade cleanly
    - update depends to get a clean upgrade
  * debian/compiz-dev.install:
    - add missing compiz-core.h, compiz-plugin.h, compiz-common.h
  * debian/patches/029_default_options:
    - disable hotcorner for scale
  
  [ Terence Simpson ]
  * debian/patches/031_compiz_manager_default_window_manager
    - Don't use matacity as the fallback window manager when it's not
      installed (LP: #151005)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 05 Dec 2007 21:49:15 +0100

compiz (1:0.6.2+git20071119-0ubuntu1) hardy; urgency=low

  * new 0.6 git snapshot:
    - fix translation issues in kwin
    - fix stacking/placement issues
    - fix dbus paths

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 21 Nov 2007 10:33:39 +0100

compiz (1:0.6.2+git20071101-0ubuntu1) hardy; urgency=low

  * new git snapshot of the 0.6 branch:
    - fixes in the kwm window decorator

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 01 Nov 2007 11:53:43 -0400

compiz (1:0.6.2+git20071018-0ubuntu2) hardy; urgency=low

  * debian/patches/030_fix_screensaver:
    - never unredirect the gnome-screensaver window to prevent
      breaking the keyboard grab (#145123)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 29 Oct 2007 12:57:25 -0400

compiz (1:0.6.2+git20071018-0ubuntu1) hardy; urgency=low

  * new git snapshot of the 0.6 branch
    - allow focus on desktop/dock windows on _NET_ACTIVE_WINDOW 
    - Use client message timestamp rather than window user time 
    - send the WM_TAKE_FOCUS message even if we directly set the input
      (LP: #122654)
    - fixes on setups with multiple screens

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 29 Oct 2007 12:21:01 -0400

compiz (1:0.6.0+git20071008-0ubuntu1) gutsy; urgency=low

  * New git snapshot:
    - properly fix bug to never stack under the desktop window (LP: #147943)
    - fixes in the internal stack representation, this fixes the issue
      that sometimes windows are put over or under panel windows
  * debian/patches/026_fix_stacking:
    - dropped, now part of upstream
  * debian/patches/028_compiz_manager_blacklist:
    - blacklist ati mobility X300,X600,X700 freezes (LP: #115283)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Oct 2007 10:50:25 +0200

compiz (1:0.6.0+git20071006-0ubuntu2) gutsy; urgency=low

  * debian/patches/030_fix_screensaver:
    - only check for the screensaver for InputOutput
      window type, this fixes a segfault  (LP: #150743)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Oct 2007 00:12:02 +0200

compiz (1:0.6.0+git20071006-0ubuntu1) gutsy; urgency=low

  * new 0.6 git snapshot:
    - fix initial stacking (LP: #147943)
    - fix crash in grab hanlding in wobbly (LP: #125981)
  * debian/patches/028_compiz_manager_blacklist:
    - add a missing i965 pci id (LP: #149751)
  * debian/patches/029_default_options:
    - disable vsync by default here so that the compiz and
      libcompizconfig do not fight over the default
  * debian/patches/024_add_config_notify.patch:
    - updated so that a extra configure notify is send in resizeWindow
      (LP: #140773)
  * debian/patches/023_ignore_hints_when_maximized.patch:
    - removed, no longer needed with latest git (LP: #145843)
  * debian/patches/030_fix_screensaver:
    - return InputOutput override_redirct windows in 
      findTopLevelWindowAtScreen(), this fixes the focus problem
      in gnome-screensaver (LP: #122549)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 06 Oct 2007 18:00:15 +0200

compiz (1:0.6.0+git20071004-0ubuntu2) gutsy; urgency=low

  * debian/patches/027_default_to_gnome_terminal:
    - set default for command_terminal to gnome-terminal (LP: #135484)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Oct 2007 10:52:47 +0200

compiz (1:0.6.0+git20071004-0ubuntu1) gutsy; urgency=low

  * new 0.6 snapshot: 
    - do not crash if glGetString() returns NULL
    - don't restack desktop windows
    - fix window geometry comparison
    -  Send synthetic configure notify events where needed (ICCCM spec)
  * debian/patches/026_fix_stacking:
    - never stack under the desktop window (LP: #147943)
  * debian/patches/024_add_config_notify.patch:
    - dropped, improved version now part of upstream source

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 04 Oct 2007 14:18:17 +0200

compiz (1:0.6.0+git20071002-0ubuntu1) gutsy; urgency=low

  * new 0.6.0 release:
    - more focus stealing improvements
  * taken from git to include a fix that restacks windows
    on map (avoid problem that sometimes windows are put
    under the panel)
  * debian/compiz-gnome.gconf-defaults:
    - set sync_to_vblank to False to make suspend on nvidia working
      (LP: #144732)
    - set unredirected_fullscreen_windows to True to make compiz work
      better with games
    - move fade down the plugin loading list

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 02 Oct 2007 10:31:55 +0200

compiz (1:0.5.2+git20070928-0ubuntu1) gutsy; urgency=low

  * updated to the latest 0.6 snapshot:
    - improve focus stealing prevention (LP: #91590)
    - fix crash in sdl fullscreen apps (LP: #130110)
    - Fix map and restack ordering
    - Fix in window position calculation
  * debian/patches/
      0002-Make-sure-that-unredirected-windows-get-redirected-o.patch
    - removed, moved upstream

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 28 Sep 2007 15:03:24 +0200

compiz (1:0.5.2+git20070918-0ubuntu5) gutsy; urgency=low

  * debian/compiz-gnome.gconf-defaults:
    - correctly fix schema value for shadow_radius (LP: #141361)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 21 Sep 2007 21:09:00 +0200

compiz (1:0.5.2+git20070918-0ubuntu4) gutsy; urgency=low

  * debian/compiz-manager:
    - fix in the check for the TEXTURE_SIZE (LP: #124519, #141130)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 21 Sep 2007 17:43:31 +0200

compiz (1:0.5.2+git20070918-0ubuntu3) gutsy; urgency=low

  * debian/rules:
    - load fade after animation to fix flickering on focus fade

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 19 Sep 2007 19:58:58 +0100

compiz (1:0.5.2+git20070918-0ubuntu2) gutsy; urgency=low

  [ Michael Vogt ]
  * debian/patches/
      0001-Make-sure-that-unredirected-fullscreen-windows-are-f.patch,
      0002-Make-sure-that-unredirected-windows-get-redirected-o.patch,
      0003-Move-input-focus-back-to-the-active-window-after-red.patch:
    - fix input focus grabing behaviour, thanks to Dennis Kasprzyk  
      (LP: #122549) 
  * debian/compiz-gnome.gconf-defaults:
    - add schema default for hsize
    - fix schema value for shadow_radius
  * debian/compiz.wrapper:
    - removed
  * debian/compiz-manager, debian/compiz-manager.defaults, debian/rules:
    - use upstreams compiz-manager script to start compiz instead of
      our own and ship ubuntu specific defaults
  * debian/rules:
    - pass the correct plugin list to configure to mangle the default 
      xml and schema files
  * debian/patches/020_no_active_plugins_default.patch:
    - dropped, done via the configure argument now

  [ Travis Watkins ]
  * debian/patches/024_add_config_notify.patch:
    - add extra configure notify to make fullscreen gnome-terminal work

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 19 Sep 2007 11:04:54 +0100

compiz (1:0.5.2+git20070918-0ubuntu1) gutsy; urgency=low

  * new 0.6 snapshot
    - remember system beep setting from gnome (LP: #132804)
    - fix auto-raise for transient parents
    - drawer and clock windows no longer go under (LP: #131050)
  * debian/compiz.wrapper:
    - do not start compiz on i965 as video does not work
      there under compiz (LP: #111257)
    - use printf instead of echo (thanks to Kristian Lyngstøl)
    - be more compatible with oldish shells (LP: #131484)
  * debian/patches/013-add-cursor-theme-support.patch:
    - updated to fix conflicts against the latest git

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Sep 2007 18:25:18 +0100

compiz (1:0.5.2+git20070917-0ubuntu1) gutsy; urgency=low

  * new 0.6 branch snapshot
  * new ABI version
  * debian/compiz.wrapper:
    - blacklist the "mga" driver (LP: #122961)
  * debian/patches/022_fix_session_managment.patch:
    - fix the session managment id (thanks to Keybuk, LP: #130450)
  * debian/patches/023_ignore_hints_when_maximized.patch:
    - honor the maximize hint

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 17 Sep 2007 14:26:17 +0100

compiz (1:0.5.2+git20070912-0ubuntu3) gutsy; urgency=low

  * debian/compiz.wrapper:
    - support pci id based blacklisting and add rv480 to
      the blacklist

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 13 Sep 2007 13:11:25 +0200

compiz (1:0.5.2+git20070912-0ubuntu2) gutsy; urgency=low

  * compiz breaks rs480, and we don't have the granularity to blacklist
    individual chipsets right now. Blacklist ati.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 13 Sep 2007 01:53:23 +0100

compiz (1:0.5.2+git20070912-0ubuntu1) gutsy; urgency=low

  * new git snapshot based on the 0.6 branch
  * fix dialog resizing (LP: #133225)
  * debian/compiz.wrapper:
    - add debug information about started decorator

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 12 Sep 2007 17:43:30 +0200

compiz (1:0.5.2+git20070829-0ubuntu1) gutsy; urgency=low

  * debian/patches/011-restart.patch:
    - updated to the current code
  * debian/patches/20_no_active_plugins_default:
    - update schema file for gotovp -> vpswtich transition
  * new git snapshot of the 0.6 branch, ABI break
  * debian/control:
    - add breaks for older libcompizconfig versions
    - update dependencies for plugins-{main,extra} and libcompizconfig0

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Aug 2007 16:12:13 +0200

compiz (1:0.5.2+git20070827-0ubuntu1) gutsy; urgency=low

  * updated to the latest 0.6 branch
  * debian/compiz.wrapper:
    - fix setting of --indirect-rendering so that it does 
      not crash with latest nvidia-glx-new

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Aug 2007 09:20:19 +0200

compiz (1:0.5.2-0ubuntu4) gutsy; urgency=low

  * debian/patches/20_no_active_plugins_default:
    - use defaults based on the libcompizconfig list in the compiz-core
      schema file
  * debian/rules:
    - remove some unused keybindings from gnome-control-center xml file

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Aug 2007 16:55:06 +0200

compiz (1:0.5.2-0ubuntu3) gutsy; urgency=low

  * debian/rules:
    - generate 50-compiz-key-xml and 50-metacity-desktop-key.xml
      based on metacity keybindings

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Aug 2007 12:50:38 +0200

compiz (1:0.5.2-0ubuntu2) gutsy; urgency=low

  * debian/compiz.wrapper:
    - fix check for failsafe session
    - remove convert_gconf_plugin_list, ccp uses exactly
      the same keys now as gconf plugin

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Aug 2007 18:42:08 +0200

compiz (1:0.5.2-0ubuntu1) gutsy; urgency=low

  [Michael Vogt]
  * new upstream release
  * added "sis" and "via" to driver blacklist

  [Sebastien Bacher]
  * debian/compiz.wrapper:
    - don't use compiz when running a failsafe session

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 06 Aug 2007 09:33:45 +0200

compiz (1:0.5.1+git20070725-0ubuntu1) gutsy; urgency=low

  * debian/control:
    - re-add compiz-fusion-plugins-extra
  * debian/compiz.wrapper:
    - make "kwin" the fallback wm if we run under kde
  * new git snapshot (should fix issue with xinerama systems)
  * updated depends on plugins-{main,extra} as this version breaks
    the ABI again

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 25 Jul 2007 12:21:38 +0200

compiz (1:0.5.1+git20070712-0ubuntu4) gutsy; urgency=low

  * debian/control: Don't depends on compiz-fusion-plugins-extra. It's not in
    main.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 17 Jul 2007 14:57:33 +0200

compiz (1:0.5.1+git20070712-0ubuntu3) gutsy; urgency=low

  * debian/compiz.wrapper: run without --sm-disable (LP: #122949) 
  * debian/control: drop epochs on compiz-fusion-plugins-main and
    compiz-fusion-plugins-extra and make compiz installable again.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 17 Jul 2007 08:16:10 +0200

compiz (1:0.5.1+git20070712-0ubuntu2) gutsy; urgency=low

  * debian/compiz-gnome.gconf-defaults:
    - don't assign a corner to scale

  [ Michael Vogt ]
  * debian/control:
    - make compiz depend on compiz-fusion-plugins-extra
    - make compiz-kde depend on libcompizconfig-backend-kconfig
    - add epoch to compiz-fusion-plugins-main dependency
    - add dependency to compiz-plugins to compiz-gnome and
      compiz-kde

 -- Sebastien Bacher <seb128@canonical.com>  Mon, 16 Jul 2007 14:15:41 +0100

compiz (1:0.5.1+git20070712-0ubuntu1) gutsy; urgency=low

  * debian/compiz.wrapper:
    - detect kde environemnt and start right decorator
  * new git snapshot

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 12 Jul 2007 09:26:58 +0100

compiz (1:0.5.1+git20070711-0ubuntu1) gutsy; urgency=low

  [Sebastien Bacher]
  * new git snapshot
  * debian/compiz-gnome.gconf-defaults:
    - change shadow_radius in gconf so the schemas doesn't overwrite it

  [ Michael Vogt]
  * fix --indirect-rendering
  * fix runing under Xgl
  * debian/compiz.wrapper:
    - added credits to Kristian Lyngstol

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Jul 2007 16:35:41 +0100

compiz (1:0.5.1+git20070703-0ubuntu3) gutsy; urgency=low

  * debian/compiz-dev.install:
    - install extra *.h (LP: #124513)
  * debian/compiz-gnome.install:
    - install gnome-control-center keybindings
  * debian/compiz-gnome.gconf-defaults:
    - don't change default configuration there but rather to libcompizconfig

 -- Sebastien Bacher <seb128@canonical.com>  Mon, 09 Jul 2007 19:10:17 +0200

compiz (1:0.5.1+git20070703-0ubuntu2) gutsy; urgency=low

  * Install the missing compiz-{cube,gconf,scale} pkgconfig files with
    compiz-dev, so that the scaleaddon and cubereflex plugins will be
    built.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 06 Jul 2007 17:12:35 +0100

compiz (1:0.5.1+git20070703-0ubuntu1) gutsy; urgency=low

  * new git snapshot
  * debian/compiz.wrapper:
    - pass "--indirect-rendering" to compiz if required 
      (Fixes LP: #122562)
    - fix driver detection when driver are loaded and unloaded
      (Fixes LP: #122604)
    - add some extra-paranoia for the logfile detection

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 03 Jul 2007 15:37:25 +0200

compiz (1:0.5.1+git20070626-0ubuntu3) gutsy; urgency=low

  * debian/compiz-gnome.gconf-defaults:
    - don't change the scale initiate_key, make it not activate in the corner

 -- Sebastien Bacher <seb128@canonical.com>  Wed, 27 Jun 2007 12:37:12 +0200

compiz (1:0.5.1+git20070626-0ubuntu2) gutsy; urgency=low

  * debian/compiz.wrapper:
    - fix argument passing to fallback window manager. That
      fix session managment (thanks to Martin Pitt)
    - fix missing exec calls

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 27 Jun 2007 11:11:12 +0200

compiz (1:0.5.1+git20070626-0ubuntu1) gutsy; urgency=low

  * new git snapshot
  * debian/compizr.wrapper:
    - only export $ENV if there is actually anything to export
    - detect the used driver form the Xorg.log file. Using /proc/$pid/maps
      does no longer work because of the new kernel maps protection
    - run compiz.real with --sm-disable
    - detect nv driver too
  * debian/patches/016-fix-wnck.patch:
    - droped, taken upstream

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 26 Jun 2007 14:12:40 +0200

compiz (1:0.5.1+git20070621-0ubuntu3) gutsy; urgency=low

  * debian/compiz.wrapper:
    - add fallback to metacity if compiz can not be run
    - do run run glxinfo for vesa or vga driver (workaround for
      LP:#119341)
    - perform some tests to see if compiz is likely to work and if
      not fallback to metacity

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 22 Jun 2007 23:47:26 +0200

compiz (1:0.5.1+git20070621-0ubuntu2) gutsy; urgency=low

  * depend on compiz-fusion-plugins-main

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 22 Jun 2007 08:43:59 +0200

compiz (1:0.5.1+git20070621-0ubuntu1) gutsy; urgency=low

  * new git snapshot
  * debian/patches/019_fix_wnck_2.19.4.patch:
    - fix broken resize with libwnck-2.19.4
  * add missing b-d on libgnome-settings-daemon-dev

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 21 Jun 2007 14:01:04 +0200

compiz (1:0.5.1+git20070618-0ubuntu3) gutsy; urgency=low

  * debian/compiz-gnome.gconf-defaults:
    - fix shadow_radius value (thanks to Travis Watkins)
    - remove default plugin list, this is set by libcompizconfig
      now
  * debian/compiz.wrapper:
    - fix gconf path for active_plugins -> ccp transition

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Jun 2007 22:23:39 +0200

compiz (1:0.5.1+git20070618-0ubuntu2) gutsy; urgency=low

  * debian/patches/018_use_metacity_settings.patch:
    - Use metacity control center applet instead of compiz one.
      The rationale is that the ccp backend will transparently
      work with the metacity options under gnome.
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Jun 2007 11:51:10 +0200

compiz (1:0.5.1+git20070618-0ubuntu1) gutsy; urgency=low

  * new git snapshot
  * remove from debian/patches:
    - 015-disable-glib-plugin.patch
    - 012-gnome-bridge-plugin.patch
  * refreshed in debian/patches:
    - 099-autogen.patch
  * debian/control, added dependencies:
    - "libcompizconfig-backend-gconf" added to compiz-gnome
    - "compiz-compcomm-plugins-main" added to compiz
  * debian/compiz.wrapper:
    - default to ccp config system
    - convert plugin list (thanks to Travis Watkins)
  * debian/patches/017_new_kwininterface.patch:
    - make the kde windows decorator build with the latest
      kde
  * debian/compiz-gnome.gconf-defaults:
    - remove "gconf" and "keybindings" plugins from default plugins

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Jun 2007 09:28:14 +0200

compiz (1:0.5.0+git20070612-0ubuntu1) gutsy; urgency=low

  * new git snapshot
  * debian/patches/015-disable-glib-plugin.patch:
    - temporarly disable glib plugin, causes locks for 
      some people (Fixes LP: #119199)
  * debian/patches/016-fix-wnck.patch:
    - make it compile with latest libwnck

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 12 Jun 2007 10:34:23 +0200

compiz (1:0.5.0+git20070605-0ubuntu1) gutsy; urgency=low

  * New git snapshot
  * debian/compiz.wrapper:
    - ensure that the glib plugin is loaded when the gconf plugin is used

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 06 Jun 2007 10:05:56 +0200

compiz (1:0.5.0+git20070516-0ubuntu2) gutsy; urgency=low

  * 011_snap-by-default.patch:
    014_fix-no-border-window-shadow.patch:
    080_cube_settings_for_ubuntu.patch:
    083_change_wobbliness_settings.patch:
    093-add-toggle-window-on-all-desktop.patch:
    - Dropped, no longer needed.
  * 017-disable-child-window-clipping.patch:
    - Renamed to 010-disable-child-window-clipping.patch
  * 081-restart.patch:
    - Renamed to 011-restart.patch
  * 088-gnome-bridge-keybindings-plugin.patch:
    - Renamed to 012-gnome-bridge-plugin.patch
    - Make metacity workspace movement keys map to plane movement keys
      (Fixes LP: #116824)
    - Map maximized_vertically and friends map to their toggle_* versions in
      compiz (Fixes LP: #116819)
  * 091_add-cursor-theme-support.patch:
    - Renamed to 013-add-cursor-theme-support.patch
  * 094-fix-gtk-window-decorator-no-argb-crash.patch:
    - Renamed to 014-fix-gtk-window-decorator-no-argb-crash.patch
  * Change shadow_radius to 9 to prevent white shadows on DRI drivers
    (Fixes LP: #116829)

 -- Travis Watkins <amaranth@ubuntu.com>  Thu, 31 May 2007 21:43:04 -0500

compiz (1:0.5.0+git20070516-0ubuntu1) gutsy; urgency=low

  * New snapshot.
  * Merged compiz-gtk into compiz-gnome
  * Moved all gnome dependent things into compiz-gnome
  * 010-tfp-server-extension.patch:
    012_debian-kde-includes-dir.patch:
    013_set-qtdir-fallback.patch:
    086-workspaces-terminal-keybindings.patch:
    - Dropped, no longer needed.
  * 015_optional-fbo.patch:
  * 016-add-ignore-desktop-hints.patch:
    020-move-away-from-having-client-side-positioning-of-windows.patch:
    021-only-update-window-position-when-no-pending-position.patch:
    022-libXrender-workaround-gradient-issue.patch:
    023-dont-force-a-resize-when-maximize.patch:
    024-fix-a-few-initiate-functions.patch:
    026-enable-sync-request-protocol-for-override_redirect-windows.patch:
    027-fix-windows-being-maximized-on-incorrect-output.patch:
    028-make-sure-no-core-instance-of-window-is-painted-after-minimize.patch:
    029-add-demands-attention-state-when-focus-on-map-was-prevented.patch:
    030-reset-rotation-correctly-when-we-receive-a-client-message.patch:
    031-fix-active-window-tracking.patch:
    032-check-for-pending-maps-on-hide.patch:
    033-maximize-windows-if-too-big-for-desktop.patch:
    034-read-current-window-position-properly.patch:
    035-set-state-to-normal-when-window-is-mapped.patch:
    036-use-findTopLevelWindowAtDisplay-when-receiving-FocusIn-events.patch:
    037-rewrite-restackWindowBelow.patch:
    038-check-for-sync-alarm-notify-after-core-handleEvent.patch:
    039-place-windows-with-an-invalid-desktop-number-on-current-desktop.patch:
    040-allow-move-with-window-when-we-re-currently-not-moving.patch:
    041-adjust-metacity-border-region-code.patch:
    042-gwd-add-button_layout-support.patch:
    043-gwd-position_action_menu-at-menu-button.patch:
    044-gwd-metacity-button_layout-width-calc-fix-1.patch:
    082_basic-focus-prevention-support.patch:
    084_render-decoration-after-client-window.patch:
    087_terminate-move.patch:
    089_init-inotify-struct.patch:
    090_fix-mouse-move-key.patch:
    100_fix_sync_request.patch:
     - Applied upstream.

 -- Travis Watkins <amaranth@ubuntu.com>  Mon, 14 May 2007 17:21:00 -0500

compiz (1:0.3.6-1ubuntu13) feisty; urgency=low

  * 020-move-away-from-having-client-side-positioning-of-windows.patch:
    - Upstream patch : Move away from having client side positioning of windows.
      Window size must be server side so to be able to do atomic move-resize
      operations position must also be server-side. This means that
      serverX and serverY fields in CompWindow struct has higher priority
      than attrib.x and attrib.y. attrib.x and attrib.y is still the client
      side position and any code dealing with the visible position of a
      window should use these. Code that needs to be aware of any pending
      position changes should look at serverX and serverY.
  * 021-only-update-window-position-when-no-pending-position.patch:
    - Upstream patch : Only update window position when no pending position 
      changes exists.
  * 022-libXrender-workaround-gradient-issue.patch:
    - Upstream patch : Check version of libXrender and workaround gradient 
      issue if older than 0.9.3. (Close #99508)
  * 023-dont-force-a-resize-when-maximize.patch:
    - Upstream patch : Do not force a resize when maximize state changes.
  * 024-fix-a-few-initiate-functions.patch:
    - Upstream patch : Fix a few initiate functions that should steal events.
  * 026-enable-sync-request-protocol-for-override_redirect-windows.patch:
    - Upstream patch : Enable sync request protocol for override_redirect 
      windows as 025-fix-sync-request-issue.patch likely fixed the issues seen 
      previously.
  * 027-fix-windows-being-maximized-on-incorrect-output.patch:
    - Upstream patch : Fix issue with windows being maximized on incorrect 
      output.
  * 028-make-sure-no-core-instance-of-window-is-painted-after-minimize.patch:
    - Upstream patch : Make sure no core instance of window is painted after 
      minimize animation. (bnc 240960)
  * 029-add-demands-attention-state-when-focus-on-map-was-prevented.patch:
    - Upstream patch : Add demands attention state when focus on map was 
      prevented.
  * 030-reset-rotation-correctly-when-we-receive-a-client-message.patch:
    - Upstream patch : Reset rotation correctly when we receive a client 
      message that cause us to move the viewport.
  * 031-fix-active-window-tracking.patch:
    - Upstream patch : Fix active window tracking. We're always setting the 
      active window property so there's no need to monitor that property.
  * 032-check-for-pending-maps-on-hide.patch:
    - Upstream patch : Check for pending maps when trying to hide a window. 
  * 033-maximize-windows-if-too-big-for-desktop.patch:
    - Upstream patch : Enable the code in the placement plugin that maximize 
      windows when they are too big for their work area.
  * 034-read-current-window-position-properly.patch:
    - Upstream patch : Read current window position properly.
  * 035-set-state-to-normal-when-window-is-mapped.patch:
    - Upstream patch : Make sure we set state to Normal again when window is 
      mapped.
  * 036-use-findTopLevelWindowAtDisplay-when-receiving-FocusIn-events.patch:
    - Upstream patch : Use findTopLevelWindowAtDisplay when receiving FocusIn 
      events as the frame might be the window that got focused when the client 
      window is shaded.
  * 037-rewrite-restackWindowBelow.patch:
    - Upstream patch : Rewrite restackWindowBelow. The old implementation was 
      broken as it allowed stacking to positions where windows are not allowed 
      to be. New implementation makes sure windows are always stacked at 
      allowed positions. (Close #92920)
  * 038-check-for-sync-alarm-notify-after-core-handleEvent.patch:
    - Upstream patch : Check for sync alarm notify after core handleEvent 
      function has been called as syncWait will always be true otherwise.
  * 039-place-windows-with-an-invalid-desktop-number-on-current-desktop.patch:
    - Upstream patch : Place windows with an invalid desktop number on current 
      desktop instead of all desktops.
  * 040-allow-move-with-window-when-we-re-currently-not-moving.patch:
    - Upstream patch : Only allow move with window when we're currently not 
      moving.
  * 041-adjust-metacity-border-region-code.patch:
    - Upstream patch : Adjust metacity border region code so it matches latest 
      version of metacity.
  * 042-gwd-add-button_layout-support.patch:
  * 043-gwd-position_action_menu-at-menu-button.patch:
  * 044-gwd-metacity-button_layout-width-calc-fix-1.patch:
    - button_layout support for gtk-window-decorator (Martin Szulecki patch)
      (Close #89488)
    
 -- Nicolas Bruguier <gandalfn@club-internet.fr>  Tue,  3 Apr 2007 10:09:39 +0200
 
compiz (1:0.3.6-1ubuntu12) feisty; urgency=low

  * debian/patches/100_fix_sync_request.patch:
    - patch from upstream git that should fix bug 99740

 -- Travis Watkins <amaranth@ubuntu.com>  Mon,  2 Apr 2007 08:45:18 -0500

compiz (1:0.3.6-1ubuntu11) feisty; urgency=low

  * debian/compiz.wrapper:
    - use metacity and not gnome-wm if compiz doesn't work (Ubuntu: #97053)

 -- Sebastien Bacher <seb128@canonical.com>  Sat, 31 Mar 2007 14:41:02 +0200

compiz (1:0.3.6-1ubuntu10) feisty; urgency=low

  * Disable clipping of child windows 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 27 Mar 2007 00:56:40 +0100

compiz (1:0.3.6-1ubuntu9) feisty; urgency=low

  * debian/compiz.wrapper:
    - run gnome-wm if compiz can't be used correctly (Ubuntu: #93734)
  [ Nicolas Bruguier ]
  * debian/patches/011_snap-by-default.patch:
    disable patch (close #88733, #89592).
  * debian/patches/016-add-ignore-desktop-hints.patch:
    Add --ignore-desktop-hints command line option, which can be used
    to make compiz not read "number of desktops" and "current desktop"
    hints left by previous WM.
  * debian/compiz.wrapper:
    Add --ignore-desktop-hints in default options
  * debian/patches/086-workspaces-terminal-keybindings.patch:
  * debian/patches/088-gnome-bridge-keybindings-plugin.patch:
  * debian/patches/093-add-toggle-window-on-all-desktop.patch:
    Add toggle window on all desktop keybinding (close #94402)
  * debian/patches/094-fix-gtk-window-decorator-no-argb-crash.patch:
    Fix gtk-window-decorator crash when ARGB isn't enabled and only
    that, in this case window-decoration are invisible
    (Close #94140, #82205).
  * debian/patches/098-schemas:
    Schemas regeneration
  * debian/patches/088-gnome-bridge-keybindings-plugin-schemas.patch:
    Dropped.
  * debian/compiz-plugins.gconf-defaults:
    Add left click to TopRight corner scale activation (Close #92493)
    Add zoom plugin by default (Close #93046) Keenan Pepper patch

 -- Sebastien Bacher <seb128@canonical.com>  Mon, 26 Mar 2007 14:56:59 +0200

compiz (1:0.3.6-1ubuntu8) feisty; urgency=low

  * debian/compiz.wrapper:
    - make compiz work with xgl again (Ubuntu: #92657)
  * debian/patches/083_change_wobbliness_settings.patch:
    - change the default wobbliness settings, change from Matt Zimmerman

 -- Sebastien Bacher <seb128@canonical.com>  Fri, 16 Mar 2007 11:33:52 +0100

compiz (1:0.3.6-1ubuntu7) feisty; urgency=low

  * debian/control:
    - compiz-dev Depends on libxfixes-dev, libxcursor-dev

 -- Sebastien Bacher <seb128@canonical.com>  Tue, 27 Feb 2007 12:16:49 +0100

compiz (1:0.3.6-1ubuntu6) feisty; urgency=low

  * debian/control:
    - use epoch for the Conflicts,Replaces version, fix upgrade problem
      (Ubuntu: #87334)

 -- Sebastien Bacher <seb128@canonical.com>  Mon, 26 Feb 2007 16:00:56 +0100

compiz (1:0.3.6-1ubuntu5) feisty; urgency=low

  * debian/patches/010-tfp-server-extension.patch:
    - Make compiz look for GLX_EXT_texture_from_pixmap in the server
      extensions
  * debian/compiz.wrapper:
    - Desactivate gtk-window-decorator startup made by compiz
    - Desactivate GLX_EXT_texture_from_pixmap made by compiz

 -- Nicolas Bruguier <gandalfn@club-internet.fr>  Fri, 23 Feb 2007 00:13:37 +0100

compiz (1:0.3.6-1ubuntu4) feisty; urgency=low

  * Sync with Debian
  * debian/control:
    - don't Conflicts with the new libmetacity0 package
    - make new packages Conflicts,Replaces for binary split
    - the package is maintained by the MOTU team
  * debian/compiz-plugins.gconf-defaults:
    - change schemas values from there instead of patching the source
  * debian/patches/080_cube_settings_for_ubuntu.patch:
    - updated image and color for Ubuntu
  * debian/patches/081-restart.patch:
    - compiz restarts only if it is the current window manager
  * debian/patches/082_basic-focus-prevention-support.patch:
    - upstream patch : Add basic prevention focus support
  * debian/patches/084_render-decoration-after-client-window.patch:
    - upstream patch : Render decorations after client window so it's 
      possible to have decorations that cover part of the client window.
  * debian/patches/085-fix-show-managed-window.patch:
    - don't focus new window if a user input in active window
  * debian/patches/086-workspaces-terminal-keybindings.patch:
    - add workspaces and terminal keybindings
  * debian/patches/086-workspaces-terminal-keybindings-schemas.patch:
    - compiz.schemas regen with workspaces and terminal keybindings
  * debian/patches/087_terminate-move.patch:
    - use upstream patch, terminate move state on button clicks.
  * debian/patches/088-gnome-bridge-keybindings-plugin.patch:
    - metacity / compiz keybindings plugin sync
  * debian/patches/099_autogen.patch:
    - run autogen to update Makefile

   [ Nicolas Bruguier ]
  * debian/control:
    - add libxcursor-dev build-dep
  * debian/patches/089_init-inotify-struct.patch:
    - initialize inotify struct on startup (Ubuntu: #82336)
  * debian/patches/090_fix-mouse-move-key.patch:
    - fix mouse mouse move key gconf entry (Ubuntu: #86378)
  * debian/patches/091-add-cursor-theme-support.patch:
    - add cursor theme and size support (Ubuntu: #86184)

 -- Sebastien Bacher <seb128@canonical.com>  Wed, 21 Feb 2007 14:28:52 +0100

compiz (0.3.6-1) experimental; urgency=low

  [ Thierry Reding ]
  * New upstream release:
    + Drop 002_tfp-server-extension.patch, obsolete.
    + Drop 005_glfinish.patch, fixed upstream.
    + Refresh 011_snap-by-default.patch.
  * Replace build-dependency on libdbus-1-dev by libdbus-glib-1-dev.
  * Add build-dependency on kdebase-dev and libdbus-qt-1-dev for the KDE
    window decorator.
  * Add patch 012_debian-kde-includes-dir to correctly detect the KDE include
    directory on Debian systems.
  * Add patch 013_set-qtdir-fallback to set the QTDIR variable to /usr if it
    has not explicitly been set before. This allows the configure script to
    correctly detect the moc compiler.
  * Add the compiz-kde package which provides a window decorator for KDE.
    Closes: #390338.
  * Add the libdecoration0 and libdecoration0-dev packages. libdecoration0 is
    needed by both Gtk and KDE window decorators while libdecoration0-dev can
    be used to write additional decorators.
  * Add patch 015_optional-fbo which adds a command-line option for disabling
    the use of FBOs (work around buggy drivers). Add the --no-fbo option to
    command-line in the compiz wrapper.
  * Remove the --strict-binding and --use-cow options from the command-line in
    the compiz wrapper. These are now the defaults.
  * Add png and svg to the list of default plugins. They are needed to load
    PNG and SVG images (e.g. for the cube's top face).
  * Check whether the GLX_EXT_texture_from_pixmap extension is available in
    direct or indirect rendering contexts. If it is available only in indirect
    rendering contexts, force compiz to use indirect rendering.

 -- David Nusinow <dnusinow@debian.org>  Wed, 17 Jan 2007 23:46:34 -0500

compiz (0.3.4-1) experimental; urgency=low

  * New upstream release:
    + Drop 012_metacity-theme-support.patch, fixed upstream.
    + Drop 013_fix-default-plugins.patch, fixed upstream.
    + Refresh all other patches.
  * Don't use xsfbs anymore until there's an easy way to keep it up-to-date
    in git repositories. For now using quilt works just fine.
  * Drop build-dependencies on automake1.9 and libtool because we don't run
    the complete autotools stack anymore.
  * Add missing dependencies to the compiz-dev package. It needs to pull in
    all packages required by its pkgconfig file.
  * Add a dependency on libgl1-mesa-dev | libgl-dev to compiz-dev because
    compiz.h includes files provided in that package.

 -- Thierry Reding <thierry@gilfi.de>  Sun, 26 Nov 2006 00:36:39 +0100


compiz (0.3.2-1) experimental; urgency=low

  * New upstream release. Closes: #396770.
    + Remove 010_snap-inverted.patch, applied upstream.
    + Refreshed other patches to apply cleanly again.
    + Remove gtk-window-decorator.schemas and use the one provided by
      upstream (gtk/window-decorator/gwd.schemas).
  * Targetted at experimental until the release of etch.

 -- Thierry Reding <thierry@gilfi.de>  Tue, 14 Nov 2006 02:36:40 +0100

compiz (0.2.2-1) unstable; urgency=low

  [ Thierry Reding ]
  * New upstream release:
    + Drop 013_dont-fail-if-theme-not-found.patch, applied upstream.
  * Make 012_metacity-theme-support also patch the configure script, not only
    configure.ac.
  * Add 013_fix-default-plugins.patch which fixes upstream's handling of the
    default plugins configuration variable.
  * Make all plugins that were enabled in previous versions default plugins so
    compiz' behaviour doesn't change. Drop the 'water' plugin because our X
    server does not support it yet.
  * Drop --disable-kde from the configure flags because it is now disabled by
    default.
  * Add a dependency on mesa-utils to compiz-core to provide glxinfo that is
    needed by the compiz wrapper. Thanks Per Bojsen.
    Closes: #393113.
  * Conflict with libmetacity0 (>= 1:2.15.21) because it would currently make
    gtk-window-decorator segfault.

  [ David Nusinow ]
  * Add myself to uploaders. Thierry is still the primary maintainer.

 -- David Nusinow <dnusinow@debian.org>  Mon,  6 Nov 2006 23:13:41 -0500

compiz (0.2.0-1) unstable; urgency=low

  [ Thierry Reding ]
  * New upstream release.
    + Drop 011_plane-plugin-schema.patch, applied upstream.
    + Drop 012_freedesktop-schema.patch, applied upstream.
  * Replace 010_snap-by-default by the upstream patch 010_snap-inverted and
    add 011_snap-by-default to enable snapping by default.
  * Add 012_metacity-theme-support.patch which uses an older version of the
    metacity library for theme support so that compiz can be built for Debian
    unstable.
  * Install a schemas file for the Gtk window decorator which is used to
    enable the use of metacity themes.
  * Suggest nvidia-glx (>= 1.0.9625-1). (Closes: #390326).
  * Add code to the compiz wrapper to handle the NVIDIA GLX implementation
    Closes: #390814.
  * No longer build static versions of the plugins.
  * Remove .la files manually because they are not needed.
  * Clean up build-dependencies:
    + Remove unnecessarily versioned build-dependencies.
    + Tighten the build-dependency on libxcomposite-dev to (>= 1:0.3-2).
      Closes: 390304, 390416.
  * Add a manpage documenting the compiz wrapper.
  * Check if the gconf plugin is installed before trying to load it in the
    wrapper.
  * Enable building the gconf-dump plugin.
  * Add a README file to the compiz-core package.
  * List copyright holders and contributors in the copyright file.
    Closes: #392422.
  * Add 013_dont-fail-if-theme-not-found.patch which will make compiz use its
    default theme if the metacity theme cannot be found.
  * Make compiz-gtk suggest gnome-themes so people can take advantage of the
    metacity theme support.

  [ David Nusinow ]
  * Tighten up all the X library build-depends by explicitly using current
    versions. Thanks aj.

 -- David Nusinow <dnusinow@debian.org>  Fri, 13 Oct 2006 16:22:17 -0400

compiz (0.0.13+git20060928-2) unstable; urgency=low

  * Change the maintainer field to the Debian X Strike Force.
  * Add myself to the uploaders field.
  * Move compiz.{docs,install,manpages} to compiz-core.{docs,install,manpages}
    so the installed files end up in the correct package.
  * Rename compiz.1 to compiz.real.1, because it's actually documenting the
    real compiz binary.

 -- Thierry Reding <thierry@gilfi.de>  Fri, 29 Sep 2006 09:24:30 +0200

compiz (0.0.13+git20060928-1) unstable; urgency=low

  * Initial release. (Closes: #352151)
  * Install the compiz schema during postinst and removes it during prerm
    (using dh_gconf).
  * Add patches by Kristian Høgsberg to make compiz work on AIGLX:
    + 002_tfp-server-extension.patch
    + 005_glfinish.patch
  * No longer build the compiz-kde package, because it is unusable.
  * Add gtk-window-decorator.1 manpage.
  * Install the window settings configuration plugin into the right location
    (/usr/lib/libgnome-window-settings1/libcompiz.so).
  * Bump build-dependency on libxcomposite-dev (>= 0.3) because it provides
    the XComposite{Get,Release}OverlayWindow functions.
  * Install a compiz wrapper as /usr/bin/compiz to call compiz.real with
    required arguments (load gconf plugin).
  * Add 010_snap-by-default.patch to turn snapping on by default.
  * Add a versioned build-dependency on x11proto-gl-dev (>= 1.4.8-1) to make
    sure compiz gets built with the correct opcodes for the GLX_EXT_tfp
    extension.
  * Add build-dependency on libmetacity-dev, which is needed for metacity
    theme support.
  * Add the compiz-gtk package containing the former gnome-window-decorator.
    The compiz-gnome package provides the files necessary to integrate compiz
    and compiz-gtk with the GNOME desktop environment.
  * Add a build-dependency on libxinerama-dev, needed to build compiz with
    support for the xinerama extension.
  * Revise the compiz.1 manpage.
  * Rename the compiz package to compiz-core and make compiz a meta-package
    pulling in everything necessary to run compiz from within GNOME.
  * Add 011_plane-plugin-schema.patch by Eugene Konev adding gconf settings
    for the plane plugin.
  * Add 012_freedesktop-schema.patch that fixes a typo in compiz.schema.in.

 -- Thierry Reding <thierry@gilfi.de>  Fri, 29 Sep 2006 07:56:05 +0200

